Name:		perl-Apache-Session-Browseable
Version:	1.0.2
Release:	2%{?dist}
Summary:	Add index and search methods to Apache::Session
Group:		Development/Libraries
License:	GPL+ or Artistic
URL:		http://search.cpan.org/dist/Apache-Session-Browseable/
Source0:	http://search.cpan.org/CPAN/authors/id/G/GU/GUIMARD/Apache-Session-Browseable-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
# Module Build
BuildRequires:	perl
BuildRequires:	perl(Module::Build)
# Module Runtime
BuildRequires:	perl(Apache::Session)
BuildRequires:	perl(Apache::Session::Generate::MD5)
BuildRequires:	perl(Apache::Session::Lock::File)
BuildRequires:	perl(Apache::Session::Lock::Null)
BuildRequires:	perl(Apache::Session::Serialize::Base64)
BuildRequires:	perl(Apache::Session::Serialize::Storable)
BuildRequires:	perl(Apache::Session::Serialize::Sybase)
BuildRequires:	perl(Apache::Session::Store::DBI)
BuildRequires:	perl(Apache::Session::Store::File)
BuildRequires:	perl(Apache::Session::Store::Informix)
BuildRequires:	perl(Apache::Session::Store::MySQL)
BuildRequires:	perl(Apache::Session::Store::Oracle)
BuildRequires:	perl(Apache::Session::Store::Postgres)
BuildRequires:	perl(Apache::Session::Store::Sybase)
BuildRequires:	perl(AutoLoader)
BuildRequires:	perl(DBI)
BuildRequires:	perl(Net::LDAP)
BuildRequires:	perl(Net::LDAP::Util)
%if "%{?rhel}" != "5"
BuildRequires:	perl(Redis)
%endif
BuildRequires:	perl(Storable)
BuildRequires:	perl(strict)
# Test Suite
BuildRequires:	perl(File::Temp)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(warnings)
# Optional Tests
BuildRequires:	perl(DBD::mysql)
# Older versions of DBD::SQLite generate warnings: "closing dbh with active statement handles"
# CPAN RT#36651, CPAN RT#40383
%if "%{?rhel}" != "5"
BuildRequires:	perl(DBD::SQLite) > 1.19
%endif
# Runtime
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
A virtual Apache::Session back-end providing some class methods to manipulate
all sessions and add the capability to index some fields to make re-search
faster.

%prep
%setup -q -n Apache-Session-Browseable-%{version}

%build
perl Build.PL --installdirs=vendor
./Build

%install
rm -rf %{buildroot}
./Build install --destdir=%{buildroot} --create_packlist=0

%check
./Build test

%files
%if 0%{?_licensedir:1}
%license LICENSE
%else
%doc LICENSE
%endif
%doc Changes README
%{perl_vendorlib}/Apache/
%{perl_vendorlib}/auto/Apache/
%{_mandir}/man3/Apache::Session::Browseable.3*
%{_mandir}/man3/Apache::Session::Browseable::LDAP.3*
%{_mandir}/man3/Apache::Session::Browseable::MySQL.3*
%{_mandir}/man3/Apache::Session::Browseable::SQLite.3*
%{_mandir}/man3/Apache::Session::Browseable::Store::LDAP.3*
%{_mandir}/man3/Apache::Session::Browseable::Store::SQLite.3*
%if "%{?rhel}" != "5"
%{_mandir}/man3/Apache::Session::Browseable::Redis.3*
%{_mandir}/man3/Apache::Session::Browseable::Store::Redis.3*
%else
%exclude %{perl_vendorlib}/Apache/Session/Browseable/Redis.pm
%exclude %{perl_vendorlib}/Apache/Session/Browseable/Store/Redis.pm
%exclude %{_mandir}/man3/Apache::Session::Browseable::Redis.3*
%exclude %{_mandir}/man3/Apache::Session::Browseable::Store::Redis.3*
%endif

%changelog
* Tue Jan 20 2015 Paul Howarth <paul@city-fan.org> - 1.0.2-2
- Include upstream docs (#1182960)

* Fri Jan 16 2015 Paul Howarth <paul@city-fan.org> - 1.0.2-1
- Initial RPM package
